Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageRGBToHSV Class Reference

`#include <vtkImageRGBToHSV.h>`

Inheritance diagram for vtkImageRGBToHSV:

[legend]
Collaboration diagram for vtkImageRGBToHSV:

[legend]
List of all members.

## Detailed Description

Converts RGB components to HSV.

Date:
  2002/01/22 15:33:17

Revision:
  1.22

For each pixel with red, blue, and green components this filter output the color coded as hue, saturation and value. Output type must be the same as input type.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (39%)
  - Law, Charles (33%)
  - Lorensen, Bill (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageRGBToHSV.cxx)`
  - .`h` (`/Imaging/vtkImageRGBToHSV.h)`

Tests:
  vtkImageRGBToHSV (Tests)

Definition at line 48 of file vtkImageRGBToHSV.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMaximum (float)
virtual float | GetMaximum ()
## Static Public Methods
vtkImageRGBToHSV * | New ()
int | IsTypeOf (const char *type)
vtkImageRGBToHSV * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageRGBToHSV ()
| ~vtkImageRGBToHSV ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
float | Maximum

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageRGBToHSV::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 52 of file vtkImageRGBToHSV.h.

## Constructor & Destructor Documentation

vtkImageRGBToHSV::vtkImageRGBToHSV | ( |  | ) | `[protected]`

vtkImageRGBToHSV::~vtkImageRGBToHSV | ( |  | ) | `[inline, protected]`

| Definition at line 64 of file vtkImageRGBToHSV.h.

## Member Function Documentation

vtkImageRGBToHSV* vtkImageRGBToHSV::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageRGBToHSV::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageRGBToHSV::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageRGBToHSV::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageRGBToHSV* vtkImageRGBToHSV::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageRGBToHSV::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageRGBToHSV::SetMaximum | ( | float |  | ) | `[virtual]`

virtual float vtkImageRGBToHSV::GetMaximum | ( |  | ) | `[virtual]`

void vtkImageRGBToHSV::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageRGBToHSV::Maximum`[protected]`

| Definition at line 66 of file vtkImageRGBToHSV.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageRGBToHSV.h